package org.wfc.omada.api.device.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * ActiveDeviceMultiSiteOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:26:25.576+08:00[Asia/Shanghai]")

public class ActiveDeviceMultiSiteOpenApiVo   {
  @JsonProperty("activePairList")
  @Valid
  private List<ActivePairMultiSiteOpenApiDto> activePairList = new ArrayList<>();

  @JsonProperty("category")
  private String category;

  public ActiveDeviceMultiSiteOpenApiVo activePairList(List<ActivePairMultiSiteOpenApiDto> activePairList) {
    this.activePairList = activePairList;
    return this;
  }

  public ActiveDeviceMultiSiteOpenApiVo addActivePairListItem(ActivePairMultiSiteOpenApiDto activePairListItem) {
    this.activePairList.add(activePairListItem);
    return this;
  }

  /**
   * Get activePairList
   * @return activePairList
  */
  @ApiModelProperty(required = true, value = "")
  @NotNull

  @Valid

  public List<ActivePairMultiSiteOpenApiDto> getActivePairList() {
    return activePairList;
  }

  public void setActivePairList(List<ActivePairMultiSiteOpenApiDto> activePairList) {
    this.activePairList = activePairList;
  }

  public ActiveDeviceMultiSiteOpenApiVo category(String category) {
    this.category = category;
    return this;
  }

  /**
   * It should be a value as follows: basic; ap; l2Switch; l3Switch; gateway
   * @return category
  */
  @ApiModelProperty(required = true, value = "It should be a value as follows: basic; ap; l2Switch; l3Switch; gateway")
  @NotNull


  public String getCategory() {
    return category;
  }

  public void setCategory(String category) {
    this.category = category;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ActiveDeviceMultiSiteOpenApiVo activeDeviceMultiSiteOpenApiVo = (ActiveDeviceMultiSiteOpenApiVo) o;
    return Objects.equals(this.activePairList, activeDeviceMultiSiteOpenApiVo.activePairList) &&
        Objects.equals(this.category, activeDeviceMultiSiteOpenApiVo.category);
  }

  @Override
  public int hashCode() {
    return Objects.hash(activePairList, category);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ActiveDeviceMultiSiteOpenApiVo {\n");
    
    sb.append("    activePairList: ").append(toIndentedString(activePairList)).append("\n");
    sb.append("    category: ").append(toIndentedString(category)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

